@import '_var.scss';
html {
	background-color: $bgcolor;
	font-family: 'kanit';
}
body {
	margin: 0px;
}
a, a:hover {
	text-decoration: none;
}
::-webkit-scrollbar {
	width: 15px;
}

::-webkit-scrollbar-track {
	background-color: $bgcolor;
	/*background-color: transparent;*/
}

::-webkit-scrollbar-thumb {
	/*background-color: $midcolor;*/
	border: solid 5px $bgcolor;
	background-color: #1D3333;
	height: 10px;
}
.mainshade {
	background: $maincolor;
	background: -moz-linear-gradient(-45deg, $maincolor 0%, $subcolor 100%);
	background: -webkit-gradient(left top, right bottom, color-stop(0%, $maincolor), color-stop(100%, $subcolor));
	background: -webkit-linear-gradient(-45deg, $maincolor 0%, $subcolor 100%);
	background: -o-linear-gradient(-45deg, $maincolor 0%, $subcolor 100%);
	background: -ms-linear-gradient(-45deg, $maincolor 0%, $subcolor 100%);
	background: linear-gradient(135deg, $maincolor 0%, $subcolor 100%);

	&.textmasked {
		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
	}
}
#scene1 {
	/*display: none;*/
	position: fixed;
	top: 0%;
	left: 0%;
	right: 0%;
	bottom: 0%;

	z-index: 10;
	background-color: $bgcolor;
	transition: 1s 1s;

	&.active {
		opacity: 0;
		animation: dismiss 0s 2s forwards;
		@keyframes dismiss {
			0% {
				transform: translateX(0%);
			}
			100% {
				transform: translateX(-100%);
			}
		}
		.uncover {
			left: 0%;
			border-left: 0vw solid $maincolor;
			> div {
				left: -10%;
				/*border-left: 0vw solid $maincolor;*/
			}
		}
	}
	.maincover {
		color: #FE3570;
		font-size: 0rem;
		text-align: center;
		white-space: nowrap;

		-webkit-user-select: none;
		-moz-user-select: none;
		-ms-user-select: none;
		user-select: none;  
		cursor: default;    
		.maincontainer {
			position: fixed;
			top: 50%;
			left: 50%;

			transform: translate(-50%,-50%);
			opacity: 0;

			animation: ini_main 1s 1s forwards;
			@keyframes ini_main {
				0% {
					opacity: 0;
				}
				100% {
					opacity: 1;
				}
			}

			&.active {
				span {
					margin: 0px 0vw;
				}
			}
			> span {

				line-height: normal;
				font-size: 9vw;
				font-weight: 600;

				margin: 0px 3vw;

				transition: 1s;			
				animation: ini_span 1s 1s forwards;
				@keyframes ini_span {
					0% {
						margin: 0px 3vw;
					}
					100% {
						margin: 0px 0vw;
					}
				}

			}
		}
		.welcometext {
			position: fixed;
			bottom: 3%;
			left: 50%;

			color: white;
			font-size: 1.2rem;
			text-transform: uppercase;
			font-weight: 100;

			opacity: 0.7;
			transform: translate(-50%,0%);
		}
	}
	.uncover {
		position: fixed;
		top: 0%;
		left: 100%;
		right: 0%;
		bottom: 0%;

		background-color: $bgcolor;
		border-left: 20vw solid $subcolor;

		transition: 0.5s;
		> div {

			position: fixed;
			top: 0%;
			left: 120%;
			right: 0%;
			bottom: 0%;

			background-color: $bgcolor;
			border-left: 10vw solid $subcolor;

			transition: 0.7s;
		}
	}
}

#scene2 {
	/*display: none;*/
	/*padding: 15%;*/
	height: 100vh;
	padding: 0% 10%;
	overflow: hidden;
	z-index: 5;

	h3 {
		margin: 20% 0px 30px;
		font-size: 2rem;
		font-weight: 300;
		color: white;
	}
	.bolding {
		height: 3px;
	}
	.text {
		color: white;
		font-size: 1.3rem;
		line-height: 2.2rem;
		font-weight: 200;
		opacity: 0.8;
		p {	
			max-width: 700px;
			width: 60%;
			@media screen and (max-width: 767px) {
				font-size: 0.7em;
				width: initial;
			}
		}
	}
	.testbox {
		display: none;
		/*display: inline-block;*/
		height: 10px;
		width: 10px;
		background-color: $midcolor;
		animation: fadein 1s forwards;

		opacity: 0;

		a{}
		@keyframes fadein {
			0% {
				opacity: 0;
			}
			100% {
				opacity: 1;
			}
		}
		@for $i from 1 through 10{
			&:nth-of-type(#{$i}){
				animation-delay:#{$i * 0.3}s;
			}
		}
	}
	.line-set {
		top: 38% !important;
		left: -20% !important;
		opacity: 0.1;
		@media screen and (max-width: 767px) {
			display: none !important;
		}
		.line-a , .line-b {
			position: absolute;
			width: 140vw;
			background-color: $midcolor;
		}
		.line-a {
			height: 20px;
			transform: rotateZ(-15deg) translateY(15vw);
		}
		.line-b {
			height: 40px;
			transform: rotateZ(-45deg) translateY(25vw);
		}
	}
	#particles_01 {
		position: absolute;
		top: 0%;
		left: 0%;
		right: 0%;
		bottom: 0%;
		z-index: -1;
	}
}
#scene3 {
	display: none;
	position: relative;
	height: 100vh;
	background-color: grey;
	overflow: hidden;
	.bg {
/*		position: absolute;
		top: 10%;
		left: 10%;
		right: 10%;
		bottom: 10%;*/
		position: relative;
		/*background-color: pink;*/
		height: 90vh;
		width: 90vh;
		margin: auto;

		background-image: url("../image/ipadfloat.png");
		background-size: cover;
		background-repeat: no-repeat;
		background-position: center;

		.displayer {
			position: absolute;
			top: 30.5%;
			left: 35%;
			right: 29%;
			bottom: 41%;


			perspective: 730px;
			perspective-origin: 30% 30%;
			/*background-color: pink;*/
			/*opacity: 0.5;*/
		}
		.projectexample {
			position: absolute;
			top: 0%;
			left: 0%;
			right: 0%;
			bottom: 0%;

			/*filter: sepia(0) saturate(2);*/

			/*background-image: url("../image/ipadfloat.png");*/
			background-color: orange;
			background-size: contain;
			background-repeat: no-repeat;
			background-position: center;

			/*transform: rotateX(42deg) rotateY(11deg) rotateZ(-27deg);*/
			/*transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg);*/
			transform: rotateX(41deg) rotateY(3deg) rotateZ(-24deg);
			/*transform: rotate3d(0,3,0,45deg);*/
			/*perspective: */

			z-index: 2;
			overflow: hidden;
			transition: 0.3s;

			img {
				width: 100%;

			}
			div {
				position: absolute;
				top: 0%;
				left: 50%;
				right: 50%;
				bottom: 0%;
				border-right: 1px solid red;
				background-color: red;
			}
			section {
				position: absolute;
				top: 50%;
				left: 0%;
				right: 0%;
				bottom: 50%;
				border-bottom: 1px solid red;
				background-color: red;
			}
		}
	}
}
#scene4 {
	height: 100vh;
	background-color: orange;
	overflow: hidden;

	transition: background-color 0.5s 1s;
	.headline {
		position: absolute;
		top: 70% !important;
		left: 5% !important;
		z-index: 5;

		-webkit-user-select: none;
		-moz-user-select: none;
		-ms-user-select: none;
		user-select: none;      
		cursor: default;

		h2 {
			font-size: 9rem;
			margin: 0px;
			line-height: 1em;
			color: white;
			font-weight: 500;
			text-shadow: 0px 0px 50px rgba(0,0,0,0.2);
		}
	}
	.workname {
		position: absolute;
		top: 10% !important;
		right: 5% !important;
		left: auto !important;
		z-index: 20;
		/*line-height: 30vh;*/
		h3 {
			font-size: 5rem;
			margin: 0px;
			line-height: 1em;
			color: white;
			font-weight: 500;
			text-shadow: 0px 0px 50px rgba(0,0,0,0.2);

			-webkit-user-select: none;
			-moz-user-select: none;
			-ms-user-select: none;
			user-select: none;      
			cursor: default;

			opacity: 0;
			animation: refresh 0.3s 2s forwards;
			@keyframes refresh {
				0% {
					opacity: 0;
				}
				100% {
					opacity: 1;
				}
			}
		}
	}
	.worklists {
		text-align: center;
		.worklist {
			display: inline-block;
			width: 20px;
			line-height: 20px;
			margin-right: 4px;

			text-align: center;
			color: white;

			border: 2px solid white;
			background-color: rgba(0,0,0,0.3);
			border-radius: 100%;
			opacity: 0.7;

			-webkit-user-select: none;
			-moz-user-select: none;
			-ms-user-select: none;
			user-select: none;      
			cursor: pointer;

			transition: 0.3s;

			&:hover {
				opacity: 1;
			}
			&.active {
				color: black;
				background-color: white;
				opacity: 1;
			}
		}
	}
	.bg {
		position: relative;
		/*background-color: pink;*/

		/*height: 120vh;*/
		/*width: 120vh;*/

		height: 160vh;
		width: 160vh;
		transform: scale(0.8);
		transform-origin: top;
		margin: auto;

		background-image: url("../image/814px-IPad_1_PSD_Mockup.png");
		background-size: contain;
		background-repeat: no-repeat;
		background-position: center;

		.projectexam {

			position: absolute;
			top: 20%;
			left: 9.3%;
			right: 10%;
			bottom: 21%;

			overflow: hidden;

/*			top: 14%;
			left: -0.7%;
			right: 0.3%;
			transform: scale(0.8);
			bottom: 13%;*/
			/*filter: sepia(0) saturate(2);*/

			/*background-image: url("../image/project_a.jpg");*/
			/*background-color: orange;*/
			background-size: cover;
			background-repeat: no-repeat;
			background-position: center;

			/*background-color: green;*/
		}
		img {
			width: 100%;
		}
		iframe {
			width: calc(100% + 20px);
			height: 100%;
			overflow: hidden;
			border: none;

			opacity: 0;
			animation: refresh 1s 1.5s forwards;
			@keyframes refresh {
				0% {
					opacity: 0;
				}
				100% {
					opacity: 1;
				}
			}
		}
	}
	.line-set {
		top: 38% !important;
		left: -20% !important;
		opacity: 0.3;
		z-index: -1;
		@media screen and (max-width: 767px) {
			display: none !important;
		}
		.line-a , .line-b {
			position: absolute;
			width: 140vw;
			background-color: white;
			transition: 0.5s 1s;
		}
		.line-a {
			height: 20px;
			transform: rotateZ(5deg) translateY(15vw);
		}
		.line-b {
			height: 40px;
			transform: rotateZ(-25deg) translateY(-5vw);
		}

		&[data-pose='1'] {
			.line-a , .line-b {
				background-color: white;
			}
			.line-a {
				transform: rotateZ(5deg) translateY(15vw);
			}
			.line-b {
				transform: rotateZ(-25deg) translateY(-5vw);
			}
		}
		&[data-pose='2'] {
			.line-a , .line-b {
				background-color: #1F2700;
			}
			.line-a {
				transform: rotateZ(-10deg) translateY(-15vw);
			}
			.line-b {
				transform: rotateZ(-70deg) translateY(-35vw);
			}
		}
		&[data-pose='3'] {
			.line-a , .line-b {
				background-color: black;
			}
			.line-a {
				transform: rotateZ(-35deg) translateY(35vw);
			}
			.line-b {
				transform: rotateZ(30deg) translateY(-15vw);
			}
		}
		&[data-pose='4'] {
			.line-a , .line-b {
				background-color: #0B5988;
			}
			.line-a {
				transform: rotateZ(-135deg) translateY(-25vw);
			}
			.line-b {
				transform: rotateZ(190deg) translateY(-15vw);
			}
		}
		&[data-pose='5'] {
			.line-a , .line-b {
				background-color: #E0915F;
			}
			.line-a {
				transform: rotateZ(-200deg) translateY(15vw);
			}
			.line-b {
				transform: rotateZ(340deg) translateY(-10vw);
			}
		}
		&[data-pose='6'] {
			.line-a , .line-b {
				background-color: #066E9D;
			}
			.line-a {
				transform: rotateZ(-270deg) translateY(-40vw);
			}
			.line-b {
				transform: rotateZ(310deg) translateY(30vw);
			}
		}
		&[data-pose='7'] {
			.line-a , .line-b {
				background-color: #7A1A4B;
			}
			.line-a {
				transform: rotateZ(-350deg) translateY(10vw);
			}
			.line-b {
				transform: rotateZ(320deg) translateY(-20vw);
			}
		}
		&[data-pose='8'] {
			.line-a , .line-b {
				background-color: #E0915F;
			}
			.line-a {
				transform: rotateZ(-170deg) translateY(150vw);
			}
			.line-b {
				transform: rotateZ(110deg) translateY(-90vw);
			}
		}
	}
}